JS_OF_OCAML(1)

NAME

js_of_ocaml - Js_of_ocaml linker

SYNOPSIS

js_of_ocaml [OPTION]... [JS_FILES]...

DESCRIPTION

jsoo_link is a JavaScript linker. It can concatenate multiple JavaScript files keeping sourcemap information.

ARGUMENTS

JS_FILES
    Link JavaScript files [JS_FILES].

OPTIONS

--help[=FMT] (default=auto)
    Show this help in format FMT. The value FMT must be one of `auto', `pager', `groff' or `plain'. With `auto', the format is `pager` or `plain' whenever the TERM env var is `dumb' or undefined.

-o FILE
    Set output file name to [FILE].

--resolve-sourcemap-url=VAL (absent=false)
    Resolve source map url.

--source-map-inline
    Inline sourcemap in the generated JavaScript.

--source-map-root=VAL
    root dir for source map.

--sourcemap, --source-map
    Generate source map.

--version
    Show version information.

BUGS

Bugs are tracked on github at https://github.com/ocsigen/js_of_ocaml/issues.

SEE ALSO

ocaml(1)

AUTHORS

Jerome Vouillon, Hugo Heuzard.

LICENSE

Copyright (C) 2010-2019.

jsoo_link is free software, you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, with linking exception; either version 2.1 of the License, or (at your option) any later version.